package rasel.lunar.launcher.model

import java.text.SimpleDateFormat
import java.util.Calendar
import java.util.Date

class Clien : DcInside() {
    companion object{
        val dateFormat = SimpleDateFormat("yyyy-MM-dd HH:mm:ss")
    }
    override fun category(): RssDataType {
        return RssDataType.Clien
    }


    override fun pubDate(): Long {
        if (dateTiemL < 1L) {
            if (dateTiem?.length ?: 0 < 1) return 0L
            return  dateFormat.parse(dateTiem!!).time.apply {
                dateTiemL = this
            }
        } else {
            return dateTiemL
        }
    }

}